package sync_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SyncEmpRequest struct {
	// 【第三方业务系统成员信息】第三方业务系统成员信息 【特殊说明】 [requestBody]表示入参是List类型的参数，并非表示真正的参数名
	RequestParams []*common.SyncEmp `json:"requestParams,omitempty"`
}

func (obj SyncEmpRequest) GetUrl() string {
	return "/sync/emp"
}

func (obj SyncEmpRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj.RequestParams)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
